| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::gapi::wip::draw::Circle Struct Reference
G-API Drawing and composition functionality » Drawing primitives

This structure represents a circle to draw. More...

`#include <opencv2/gapi/render/render_types.hpp>`

Collaboration diagram for cv::gapi::wip::draw::Circle:

## Public Member Functions
GAPI_WRAP | Circle ()=default
GAPI_WRAP | Circle (const cv::Point &center_, int radius_, const cv::Scalar &color_, int thick_=1, int lt_=8, int shift_=0)
| Circle constructor.

## Public Attributes
GAPI_PROP_RW cv::Point | center
| The center of the circle.
GAPI_PROP_RW cv::Scalar | color
| The color of the circle.
GAPI_PROP_RW int | lt
| The Type of the circle boundary. See LineTypes.
GAPI_PROP_RW int | radius
| The radius of the circle.
GAPI_PROP_RW int | shift
| The Number of fractional bits in the coordinates of the center and in the radius value.
GAPI_PROP_RW int | thick
| The thickness of the circle outline, if positive. Negative values, like FILLED, mean that a filled circle is to be drawn.

## Detailed Description

This structure represents a circle to draw.

Parameters match cv::circle().

## Constructor & Destructor Documentation

## ◆ Circle() [1/2]

GAPI_WRAP cv::gapi::wip::draw::Circle::Circle | ( | const cv::Point & | center_,
|  | int | radius_,
|  | const cv::Scalar & | color_,
|  | int | thick_ = 1,
|  | int | lt_ = 8,
|  | int | shift_ = 0 )
| inline

Circle constructor.

Parameters

  center_ | The center of the circle
  radius_ | The radius of the circle
  color_ | The color of the circle
  thick_ | The thickness of the circle outline, if positive. Negative values, like FILLED, mean that a filled circle is to be drawn
  lt_ | The Type of the circle boundary. See LineTypes
  shift_ | The Number of fractional bits in the coordinates of the center and in the radius value

## ◆ Circle() [2/2]

GAPI_WRAP cv::gapi::wip::draw::Circle::Circle | ( |  | ) |
| default

## Member Data Documentation

## ◆ center

GAPI_PROP_RW cv::Point cv::gapi::wip::draw::Circle::center

The center of the circle.

## ◆ color

GAPI_PROP_RW cv::Scalar cv::gapi::wip::draw::Circle::color

The color of the circle.

## ◆ lt

GAPI_PROP_RW int cv::gapi::wip::draw::Circle::lt

The Type of the circle boundary. See LineTypes.

## ◆ radius

GAPI_PROP_RW int cv::gapi::wip::draw::Circle::radius

The radius of the circle.

## ◆ shift

GAPI_PROP_RW int cv::gapi::wip::draw::Circle::shift

The Number of fractional bits in the coordinates of the center and in the radius value.

## ◆ thick

GAPI_PROP_RW int cv::gapi::wip::draw::Circle::thick

The thickness of the circle outline, if positive. Negative values, like FILLED, mean that a filled circle is to be drawn.

The documentation for this struct was generated from the following file:

- opencv2/gapi/render/render_types.hpp